VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form frmConnection 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Connection Properties"
   ClientHeight    =   1515
   ClientLeft      =   45
   ClientTop       =   420
   ClientWidth     =   4965
   Icon            =   "frmConnection.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1515
   ScaleWidth      =   4965
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   WhatsThisButton =   -1  'True
   WhatsThisHelp   =   -1  'True
   Begin VB.Frame Frame1 
      Caption         =   "Hostname"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1470
      Left            =   45
      TabIndex        =   0
      Top             =   0
      Width           =   4875
      Begin MSWinsockLib.Winsock objTCP 
         Left            =   945
         Top             =   90
         _ExtentX        =   741
         _ExtentY        =   741
         _Version        =   393216
      End
      Begin VB.CommandButton cmdConnect 
         Caption         =   "&Connect"
         Default         =   -1  'True
         Enabled         =   0   'False
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   390
         Left            =   2505
         TabIndex        =   4
         Top             =   900
         Width           =   1080
      End
      Begin VB.CommandButton cmdCancel 
         Cancel          =   -1  'True
         Caption         =   "Ca&ncel"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   390
         Left            =   3630
         TabIndex        =   3
         Top             =   900
         Width           =   1080
      End
      Begin VB.TextBox txtRemoteComputer 
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   315
         Left            =   225
         TabIndex        =   1
         Top             =   495
         Width           =   4485
      End
      Begin VB.Image Image1 
         Height          =   480
         Left            =   225
         Picture         =   "frmConnection.frx":014A
         Top             =   855
         Width           =   480
      End
      Begin VB.Label Label1 
         AutoSize        =   -1  'True
         Caption         =   "Remote Host Name or IP Address:"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   195
         Left            =   225
         TabIndex        =   2
         Top             =   270
         Width           =   2460
      End
   End
End
Attribute VB_Name = "frmConnection"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

'**************************************************************************'
'Module: frmConnection
'Purpose: 1) Maintains connection for the application. Conenction Object.
'         2) Translates token's sent from remote server.
'Programmer: Sean P. Moffett   -   sean@exis.net
'**************************************************************************'

Option Explicit


Private Sub cmdConnect_Click()

'********************************************************************************'
'Purpose:Connects to the specified remote computer via port 1001.
'********************************************************************************'

On Error GoTo cmdConnect_Click_Error

    With objTCP
        .RemotePort = 1001
        .RemoteHost = Me.txtRemoteComputer.Text
        .Connect
    End With

cmdConnect_Click_Exit:
    Exit Sub

cmdConnect_Click_Error:
    MsgBox "Unable to connect to remote serve." & vbNewLine & Error, vbInformation, "Remote Computer Explorer"
    objTCP.Close
    Exit Sub
    

End Sub


Private Sub Form_Unload(Cancel As Integer)
    
'********************************************************************************'
'Purpose:Unloads and terminiates the connection dialog.
'********************************************************************************'
    
On Error Resume Next

    With frmMain
        .tvTreeView.Nodes.Clear
        .lvFiles.ListItems.Clear
    End With
    
End Sub

Private Sub objTCP_Close()

        With frmMain
            .tvTreeView.Nodes.Clear
            .tbToolbar.Buttons("DISCONNECT").Enabled = False
            .tbToolbar.Buttons("CONNECT").Enabled = True
            .tbToolbar.Buttons(4).Enabled = False
            .tbToolbar.Buttons(5).Enabled = False
            .tbToolbar.Buttons(6).Enabled = False
            .tbToolbar.Buttons(8).Enabled = False
            .tbToolbar.Buttons(10).Enabled = False
            .tbToolbar.Buttons(11).Enabled = False
        End With

End Sub

Private Sub objTCP_Connect()
  

'********************************************************************************'
'Purpose:Requests the remote drive enumeration feature from the server.
'********************************************************************************'
        
On Error GoTo objTCP_Connect_Error
        
        With frmMain
            .tvTreeView.Nodes.Add , , "xxxROOTxxx", txtRemoteComputer.Text, "RC", "RC"
            .tbToolbar.Buttons("DISCONNECT").Enabled = True
            .tbToolbar.Buttons("CONNECT").Enabled = False
            .tbToolbar.Buttons(4).Enabled = True
            .tbToolbar.Buttons(5).Enabled = True
            .tbToolbar.Buttons(6).Enabled = True
            .tbToolbar.Buttons(8).Enabled = True
            .tbToolbar.Buttons(10).Enabled = True
            .tbToolbar.Buttons(11).Enabled = True
        End With
        
        objTCP.SendData "|ENUMDRVS|"
        Me.Visible = False
         
objTCP_Connect_Exit:
    Exit Sub
        
objTCP_Connect_Error:
    MsgBox Err.Description, vbCritical, "Remote Computer Explorer"
    Exit Sub
    
End Sub


Private Sub txtRemoteComputer_Change()
    
'******************************************************************'
'Purpose: Enables the connect button when a host address is entered
'******************************************************************'
    
 On Error GoTo txtRemoteComputer_Change_Error
     
    If Len(txtRemoteComputer.Text) <> 0 Then
        cmdConnect.Enabled = True
    Else
        cmdConnect.Enabled = False
    End If
    
txtRemoteComputer_Change_Exit:
    Exit Sub

txtRemoteComputer_Change_Error:
    MsgBox Err.Description, vbCritical, "Remote Computer Explorer"
    Exit Sub
    
End Sub


Private Sub cmdCancel_Click()

'*****************************************************************'
'Purpose: Unloads and cancels the connection dialog.
'*****************************************************************'

On Error Resume Next

    Unload Me

End Sub


Private Sub objTCP_DataArrival(ByVal bytesTotal As Long)

'*****************************************************************'
'Purpose: Indentifies commands received by remote server.
'*****************************************************************'

On Error GoTo objTCP_DataArrival_Error

Dim Strdata As String
   
   objTCP.GetData Strdata, vbString

    If InStr(1, Strdata, "|COMPLETE|") <> 0 Then
        frmDownloading.objProg.Value = frmDownloading.objProg.Max
        MsgBox "File has been Received.", vbInformation, "Download Complete"
        bFileTransfer = False
        Put #1, , Strdata
        Close #1
        Unload frmDownloading
        Set frmDownloading = Nothing
        DoEvents
        
        If bGettingDesktop = True Then
            bGettingDesktop = False
            Shell "MSPaint " & App.Path & "\desktop.bmp", vbMaximizedFocus
        End If
        
        
        Exit Sub
    End If
        
    If InStr(1, Strdata, "|DRVS|") <> 0 Then
        Populate_Tree_With_Drives Strdata, frmMain.tvTreeView
        Exit Sub
    End If
    
    If InStr(1, Strdata, "|FOLDERS|") <> 0 Then
        Populate_Folders Strdata, frmMain.tvTreeView
        Exit Sub
    End If
        
    If InStr(1, Strdata, "|FILES|") <> 0 Then
        Populate_Files Strdata, frmMain.lvFiles
        frmMain.MousePointer = vbDefault
        Exit Sub
    End If
        
    If bFileTransfer = True Then
        
        If InStr(1, Strdata, "|FILESIZE|") <> 0 Then
            frmDownloading.lblBytes.Caption = CLng(Mid$(Strdata, 11, Len(Strdata)))
            frmDownloading.objProg.Max = CLng(Mid$(Strdata, 11, Len(Strdata)))
            Exit Sub
        End If
        
        Put #1, , Strdata
        
        With frmDownloading.objProg
            If (.Value + Len(Strdata)) <= .Max Then
                .Value = .Value + Len(Strdata)
            Else
                .Value = .Max
                DoEvents
            End If
        End With
        
    End If
    
objTCP_DataArrival_Exit:
    Exit Sub

objTCP_DataArrival_Error:
    bGettingDesktop = False
    MsgBox Err.Description, vbCritical, "Remote Computer Explorer"
    Exit Sub
    
    
End Sub
